# src/crc/Makefile.inc

app := bfish
rel := src/crypt

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

BFISH_BAS  := bfish block64 blowfish ofb64 passwd
BFISH_SRC  := $(foreach f,$(BFISH_BAS),$(rel)/$(f).c)
BFISH_OBJ  := $(foreach f,$(BFISH_BAS),$(rel)/$(f).o)
BFISH_HDR  := $(foreach f,$(BFISH_BAS),$(rel)/$(f).h)
BFISH_MAN1 := $(rel)/$(app).1
BFISH_BIN  := $(rel)/$(app)

BFISH_EXT_BAS := common getopt strtoint md5
BFISH_EXT_HDR := $(foreach f,$(BFISH_EXT_BAS),src/lib/$(f).h)
BFISH_EXT_OBJ := $(foreach f,$(BFISH_EXT_BAS),src/lib/$(f).o)

BIN  += $(BFISH_BIN)
MAN1 += $(BFISH_MAN1)
CLN  += $(BFISH_BIN) $(BFISH_OBJ)
DIST += $(BFISH_SRC) $(BFISH_HDR) $(BFISH_MAN1)

SDP := src/lib/config.h src/lib/common.h

$(rel)/bfish.o:		$(rel)/bfish.c $(BFISH_HDR) $(BFISH_EXT_HDR) $(SDP)
$(rel)/block64.o:	$(rel)/block64.c $(rel)/block64.h $(SDP)
$(rel)/blowfish.o:	$(rel)/blowfish.c $(rel)/blowfish.h $(rel)/block64.h $(SDP)
$(rel)/ofb64.o:		$(rel)/ofb64.c $(rel)/ofb64.h $(rel)/block64.h $(SDP)
$(rel)/passwd.o:	$(rel)/passwd.c $(rel)/passwd.h $(SDP)

$(rel)/$(app): $(BFISH_EXT_OBJ) $(BFISH_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(BFISH_OBJ) $(BFISH_EXT_OBJ) -o $@
