/*****************************************************************************
 * misc-utils                                                                *
 *****************************************************************************/

/*****************************************************************************
 * File name:   src/crypt/ofb64.h                                            *
 * Created:     2002-08-24 by Hampa Hug <hhug@student.ethz.ch>               *
 * Copyright:   (C) 2002-2009 Hampa Hug <hampa@hampa.ch>                     *
 *****************************************************************************/

/*****************************************************************************
 * This program is free software. You can redistribute it and / or modify it *
 * under the terms of the GNU General Public License version 2 as  published *
 * by  the Free Software Foundation.                                         *
 *                                                                           *
 * This program is distributed in the hope  that  it  will  be  useful,  but *
 * WITHOUT  ANY   WARRANTY,   without   even   the   implied   warranty   of *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU  General *
 * Public License for more details.                                          *
 *****************************************************************************/


#ifndef MISC_CRYPT_OFB64_H
#define MISC_CRYPT_OFB64_H 1


#include "block64.h"


typedef void (*ofb_crypt_f) (void *ctx, block64_t *blk, unsigned n);

/*!***************************************************************************
 * @short The OFB context
 *****************************************************************************/
typedef struct ofb_ctx_t {
	ofb_crypt_f   crypt;
	void          *ctx;

	block64_t     blk;

	unsigned      buf_i;
	unsigned char buf[8];
} ofb_ctx_t;


/*****************************************************************************
 * @short Initialize a OFB context
 *****************************************************************************/
void ofb_init (ofb_ctx_t *ctx, void *crypt, void *crypt_ctx);

/*****************************************************************************
 * @short Set the initialization vector
 *****************************************************************************/
void ofb_set_iv_blk (ofb_ctx_t *ctx, const block64_t *iv);

/*****************************************************************************
 * @short Set the initialization vector
 *****************************************************************************/
void ofb_set_iv_buf (ofb_ctx_t *ctx, const unsigned char buf[8]);

/*****************************************************************************
 * @short Encrypt or decrypt data using OFB
 *****************************************************************************/
void ofb_crypt (ofb_ctx_t *ctx, unsigned char *buf, unsigned long n);


#endif
