# src/defer/Makefile.inc

app := defer
rel := src/$(app)

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

DEFER_BAS  := $(app)
DEFER_SRC  := $(foreach f,$(DEFER_BAS),$(rel)/$(f).c)
DEFER_OBJ  := $(foreach f,$(DEFER_BAS),$(rel)/$(f).o)
DEFER_HDR  := $(foreach f,$(DEFER_BAS),$(rel)/$(f).h)
DEFER_MAN1 := $(rel)/$(app).1
DEFER_BIN  := $(rel)/$(app)

DEFER_EXT_BAS := common getopt strtoint
DEFER_EXT_HDR := $(foreach f,$(DEFER_EXT_BAS),src/lib/$(f).h) src/lib/config.h
DEFER_EXT_OBJ := $(foreach f,$(DEFER_EXT_BAS),src/lib/$(f).o)

BIN  += $(DEFER_BIN)
MAN1 += $(DEFER_MAN1)
CLN  += $(DEFER_BIN) $(DEFER_OBJ)
DIST += $(DEFER_SRC) $(DEFER_HDR) $(DEFER_MAN1)

$(rel)/$(app).o: $(rel)/$(app).c $(DEFER_HDR) $(DEFER_EXT_HDR)

$(rel)/$(app): $(DEFER_EXT_OBJ) $(DEFER_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(DEFER_OBJ) $(DEFER_EXT_OBJ) -o $@
