# src/entab/Makefile.inc

app := entab
rel := src/$(app)

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

ENTAB_BAS  := $(app)
ENTAB_SRC  := $(foreach f,$(ENTAB_BAS),$(rel)/$(f).c)
ENTAB_OBJ  := $(foreach f,$(ENTAB_BAS),$(rel)/$(f).o)
ENTAB_HDR  := $(foreach f,$(ENTAB_BAS),$(rel)/$(f).h)
ENTAB_MAN1 := $(rel)/$(app).1
ENTAB_BIN  := $(rel)/$(app)

ENTAB_EXT_BAS := common getopt open strtoint
ENTAB_EXT_HDR := $(foreach f,$(ENTAB_EXT_BAS),src/lib/$(f).h) src/lib/config.h
ENTAB_EXT_OBJ := $(foreach f,$(ENTAB_EXT_BAS),src/lib/$(f).o)

BIN  += $(ENTAB_BIN)
MAN1 += $(ENTAB_MAN1)
CLN  += $(ENTAB_BIN) $(ENTAB_OBJ)
DIST += $(ENTAB_SRC) $(ENTAB_HDR) $(ENTAB_MAN1)

$(rel)/$(app).o: $(rel)/$(app).c $(ENTAB_HDR) $(ENTAB_EXT_HDR)

$(rel)/$(app): $(ENTAB_EXT_OBJ) $(ENTAB_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(ENTAB_OBJ) $(ENTAB_EXT_OBJ) -o $@
