# src/evalf/Makefile.inc

app := evalf
rel := src/$(app)

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

EVALF_BAS  := $(app)
EVALF_SRC  := $(foreach f,$(EVALF_BAS),$(rel)/$(f).c)
EVALF_OBJ  := $(foreach f,$(EVALF_BAS),$(rel)/$(f).o)
EVALF_HDR  := $(foreach f,$(EVALF_BAS),$(rel)/$(f).h)
EVALF_MAN1 := $(rel)/$(app).1
EVALF_BIN  := $(rel)/$(app)

EVALF_EXT_BAS := common getopt mt19937 strtoint
EVALF_EXT_HDR := $(foreach f,$(EVALF_EXT_BAS),src/lib/$(f).h) src/lib/config.h
EVALF_EXT_OBJ := $(foreach f,$(EVALF_EXT_BAS),src/lib/$(f).o)

BIN  += $(EVALF_BIN)
MAN1 += $(EVALF_MAN1)
CLN  += $(EVALF_BIN) $(EVALF_OBJ)
DIST += $(EVALF_SRC) $(EVALF_HDR) $(EVALF_MAN1)

$(rel)/$(app).o: $(rel)/$(app).c $(EVALF_HDR) $(EVALF_EXT_HDR)

$(rel)/$(app): $(EVALF_EXT_OBJ) $(EVALF_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(EVALF_OBJ) $(EVALF_EXT_OBJ) -lm -o $@
