/*****************************************************************************
 * misc-utils                                                                *
 *****************************************************************************/

/*****************************************************************************
 * File name:   src/mdig/mdig.h                                              *
 * Created:     2005-07-19 by Hampa Hug <hampa@hampa.ch>                     *
 * Copyright:   (C) 2005-2009 Hampa Hug <hampa@hampa.ch>                     *
 *****************************************************************************/

/*****************************************************************************
 * This program is free software. You can redistribute it and / or modify it *
 * under the terms of the GNU General Public License version 2 as  published *
 * by the Free Software Foundation.                                          *
 *                                                                           *
 * This program is distributed in the hope  that  it  will  be  useful,  but *
 * WITHOUT  ANY   WARRANTY,   without   even   the   implied   warranty   of *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU  General *
 * Public License for more details.                                          *
 *****************************************************************************/


#define ED2K_PARTSIZE (9500UL * 1024UL)


typedef struct {
	unsigned long parts;
	unsigned long psize;
	md4_t         hash1;
	md4_t         hash2;
	unsigned char buf[16];
} ed2k_t;


typedef struct mdig_s {
	struct mdig_s *next;

	const char    *name;

	void          *ext;

	void (*del) (struct mdig_s *mdig);
	void (*calc) (struct mdig_s *mdig, const void *buf, unsigned long n);
	unsigned (*get) (struct mdig_s *mdig, void *buf, unsigned max);
} mdig_t;
