# src/rmd/Makefile.inc

app := rmd
rel := src/$(app)

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

RMD_BAS  := $(app)
RMD_SRC  := $(foreach f,$(RMD_BAS),$(rel)/$(f).c)
RMD_OBJ  := $(foreach f,$(RMD_BAS),$(rel)/$(f).o)
RMD_HDR  := $(foreach f,$(RMD_BAS),$(rel)/$(f).h)
RMD_MAN1 := $(rel)/$(app).1
RMD_BIN  := $(rel)/$(app)

RMD_EXT_BAS := common getopt open rmd160 strtoint
RMD_EXT_HDR := $(foreach f,$(RMD_EXT_BAS),src/lib/$(f).h) src/lib/config.h
RMD_EXT_OBJ := $(foreach f,$(RMD_EXT_BAS),src/lib/$(f).o)

BIN  += $(RMD_BIN)
MAN1 += $(RMD_MAN1)
CLN  += $(RMD_BIN) $(RMD_OBJ)
DIST += $(RMD_SRC) $(RMD_HDR) $(RMD_MAN1)

$(rel)/$(app).o: $(rel)/$(app).c $(RMD_HDR) $(RMD_EXT_HDR)

$(rel)/$(app): $(RMD_EXT_OBJ) $(RMD_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(RMD_OBJ) $(RMD_EXT_OBJ) -o $@
